package Reimburse

import (
	"ERP_salary/logs"
	"git.baozhida.cn/ERP_libs/lib"
	"github.com/beego/beego/v2/adapter/orm"
	"sync"
)

type FeeType struct {
	Id      int    `orm:"column(ID);size(11);auto;pk"`
	T_name  string `orm:"size(256);null"`       //  费用名称名称
	T_mid   int    `orm:"size(256);null"`       //  FeeType.Id  T_mid=0 费用类型 T_mid>0费用明细
	T_State int    `orm:"size(200);default(1)"` //  0删除  1 正常
}

var FeeType_list *sync.Map

func init() {
	//注册模型
	orm.RegisterModel(new(FeeType))
	FeeType_list = new(sync.Map)
}

// 获取全部
func Read_FeeType_All_Map() {
	logs.Println("=========== 初始化费用类型 =========")

	o := orm.NewOrm()
	var r []FeeType
	qs := o.QueryTable(new(FeeType))
	_, err := qs.Filter("T_State", 1).All(&r)
	if err != nil {
		logs.Error(lib.FuncName(), err)
	}

	for _, v := range r {
		FeeType_list.Store(v.Id, v.T_name)
	}

}
func Read_FeeType_Get(Id int) string {
	v, ok := FeeType_list.Load(Id)
	if ok {
		return v.(string)
	} else {
		return ""
	}
}

func Read_FeeType_List() (r []FeeType) {
	o := orm.NewOrm()
	qs := o.QueryTable(new(FeeType))
	_, err := qs.Filter("T_State", 1).Filter("T_mid", 0).All(&r)
	if err != nil {
		logs.Error(lib.FuncName(), err)
		return r
	}
	return r
}

func Read_FeeDetails_List(T_feeType int) (r []FeeType) {
	o := orm.NewOrm()
	qs := o.QueryTable(new(FeeType))
	_, err := qs.Filter("T_State", 1).Filter("T_mid", T_feeType).All(&r)
	if err != nil {
		logs.Error(lib.FuncName(), err)
		return r
	}
	return r
}
